package model

import "github.com/shopspring/decimal"

type WillDilutedFee struct {
	CreatedAndModified `xorm:"extends"`
	Id                 string          `xorm:"varchar(120) pk not null" json:"id"`
	ReportId           string          `xorm:"varchar(120) not null" json:"reportId"`
	Name               string          `xorm:"varchar(50) not null" json:"name"`
	Fee                decimal.Decimal `xorm:"numeric(8,2) not null" json:"fee"`
	Memo               *string         `xorm:"text" json:"memo"`
}

func (WillDilutedFee) TableName() string {
	return "will_diluted_fee"
}
